<?php
namespace jrosset\CommandLine\Argument;

/**
 * Interface of all arguments
 */
interface IArgument {
    /**
     * The variable name in parse output
     *
     * @return string The variable name
     */
    public function getVarName (): string;
    /**
     * The default value for the argument. Null if none
     *
     * @return mixed|null The default value
     */
    public function getDefault();

    /**
     * The argument name in help
     *
     * @return string Le argument name
     */
    public function getName (): string;
    /**
     * The argument description in help
     *
     * @return string|null The argument description
     */
    public function getDescription (): ?string;
}