<?php

namespace jrosset\CommandLine\Argument\Option;

use jrosset\CommandLine\Argument\IArgument;

/**
 * Interface of option arguments: --XXX or -X
 */
interface IOptionArgument extends IArgument {
    /**
     * The short tag (the -X form). Null if none
     *
     * @return string|null The short tag
     */
    public function getTagShort (): ?string;
    /**
     * The long tag (the --XXX form)
     *
     * @return string The long tag
     */
    public function getTagLong (): string;
}