<?php
/**
 * Déclaration de la classe CommandLine\Argument\Parser\BooleanParser
 */
namespace jrosset\CommandLine\Argument\Parser;

use RangeException;

/**
 * Parser vers un booléen
 *
 * Les valeurs suivantes sont acceptées :
 * - true , 1, oui, vrai
 * - false, 0, non, faux
 *
 * @package CommandLine\Argument\Parser
 */
class BooleanParser implements IParser {
    /**
     * @inheritDoc
     */
    public function parseValue (string $val) {
        if (!in_array($val, array(
            'true',
            '1',
            'oui',
            'vrai',
            'false',
            '0',
            'non',
            'faux',
        ))) {
            throw new RangeException('La valeur n\'est pas un booléen valide : ' . $val);
        }

        return in_array($val, array('true', '1', 'oui', 'vrai'));
    }

    /**
     * @inheritDoc
     */
    public function getValueDescription (): string {
        return 'boolean';
    }
}