<?php
/**
 * Déclare l'interface CommandLine\Argument\Parser\IParser
 */
namespace jrosset\CommandLine\Argument\Parser;

/**
 * Interface pour les parseurs
 *
 * @package CommandLine\Argument\Parser
 */
interface IParser {
    /**
     * Vérifie et transforme une valeur.
     *
     * @param string $val La valeur à transformer.
     *
     * @return mixed La valeur transformée.
     */
    public function parseValue (string $val);

    /**
     * La description des contraintes de la valeur.
     *
     * @return string La description.
     */
    public function getValueDescription (): string;
}