<?php
/**
 * Déclaration de la classe CommandLine\Argument\Parser\stdStringClass
 */
namespace jrosset\CommandLine\Argument\Parser;

use stdClass;

/**
 * Une stdClass habituelle, mais avec un possibilite d'être traité comme une chaine de caractère
 *
 * L'un des attributs de la classe doit être choisi pour être utilisé comme valeur lors de la conversion en chaine de caractères
 */
class stdStringClass extends stdClass {
    /**
     * @var string Le nom de la propriété
     */
    private string $property;

    /**
     * Crée une nouvelle instance
     *
     * @param string $property Le nom de la propriété
     */
    public function __construct (string $property) {
        $this->property = $property;
    }

    /**
     * Converti l'instance en chaine de caractère
     *
     * @return string La valeur de l'attribut choisi (convertion forcé en chaine de caractères)
     */
    public function __toString () {
        return (string)$this->{$this->property};
    }
}