<?php

namespace jrosset\CommandLine\Argument\Value;

use jrosset\CommandLine\Argument\IArgument;

/**
 * Interface of value arguments
 */
interface IValueArgument extends IArgument {
    /**
     * The minimum number of occurrence of argument
     *
     * @return int The minimum number of occurrence of values
     */
    public function getOccurMin (): int;
    /**
     * The maximum number of occurrence of values. Null if unlimited
     *
     * @return int|null The maximum of occurrence number of value
     */
    public function getOccurMax (): ?int;
}