<?php

namespace jrosset\CommandLine\ReturnCode;

use InvalidArgumentException;
use jrosset\CommandLine\ArrayClass;
use ReflectionClass;
use ReflectionException;

/**
 * A list of return codes
 *
 * @extends ArrayClass<IReturnCode>
 */
class ReturnCodeList extends ArrayClass {
    /**
     * @inheritDoc
     */
    protected function checkArrayElementType ($key, $element): void {
        if (!$element instanceof IReturnCode) {
            throw new InvalidArgumentException('The "' . $key . '" element is not a ' . IReturnCode::class . ' instance');
        }
    }

    /**
     * Get the key of an element. Null if auto-generated
     *
     * @param IReturnCode $element The element
     *
     * @return int The key or Null
     */
    protected function getKeyForElement ($element): int {
        return $element->getCode();
    }
}